encoding-0.10.2: A library for various character encodings

Safe Haskell | None
Language | Haskell2010

Data.Encoding.BootString

Description

This implements BootString en- and decoding, the foundation of Punycode

# Documentation

data BootString Source #

Constructors

BootString |

Fields

- base :: Int
- tmin :: Int
- tmax :: Int
- skew :: Int
- damp :: Int
- init_bias :: Int
- init_n :: Int

#### Instances

Instances details

Encoding BootString Source # |
Instance details Defined in Data.Encoding.BootString Methods decodeChar :: ByteSource m => BootString -> m Char Source # encodeChar :: ByteSink m => BootString -> Char -> m () Source # decode :: ByteSource m => BootString -> m String Source # encode :: ByteSink m => BootString -> String -> m () Source # encodeable :: BootString -> Char -> Bool Source #
Show BootString Source # |
Instance details Defined in Data.Encoding.BootString Methods showsPrec :: Int -> BootString -> ShowS Source # show :: BootString -> String Source # showList :: [BootString] -> ShowS Source #
Eq BootString Source # |
Instance details Defined in Data.Encoding.BootString Methods (==) :: BootString -> BootString -> Bool Source # (/=) :: BootString -> BootString -> Bool Source #

punycode :: BootString Source #